# Class ModuleUtil

java.lang.Object
net.sf.statcvs.util.ModuleUtil

public final class ModuleUtil extends Object

Author:
  benoitx

## Method Summary

Modifier and Type
Method
Description
`static String`
`getConfigModuleName(String moduleId)`
`static String`
`getConfigModuleRegexp(String moduleId)`
`static List`
`getConfigModules()`
`static boolean`
`modulesPresent()`
returns true if there are some module definitions

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### modulesPresent

public static boolean modulesPresent()
returns true if there are some module definitions

    modules=1,2,3,4
    module.1.name=Chart
    module.1.regexp=** /charts/ *.java
    module.2.name=I/O
    module.2.regexp=** /output/ *.java.** /input/ *.java
    module.3.name=Model
    module.3.regexp=** /model/ *.java|** /renderer/ *.java
    module.4.name=Pages
    module.4.regexp=** /pages/ ** / *.java,** /reportmodel/ *.java,** /reports/ *.java

### getConfigModules

public static List getConfigModules()

### getConfigModuleName

public static String getConfigModuleName(String moduleId)

### getConfigModuleRegexp

public static String getConfigModuleRegexp(String moduleId)